body {
    z-index: 0;
}
.container {
    height: 100vh;
    display: grid;
    grid-template-columns: 1fr; 
    grid-template-rows: auto 1fr auto; 
}
#main-header {
    text-align: center;
    height: 40vmin;
    position: relative;
    background-color: grey;
}
nav {
    padding: 0 25px;
    height: 40vmin;
    position: fixed;
    z-index: 1;
    background-color: white;
}
button.menu {
    width: 100%;
    padding: 10px;
    background-color: green; 
    color: white;
    border: none;
    font-weight: bold;
}
button.menu:hover {
    background-color: rgb(4, 163, 4);
}
#menu-container {
    position: relative;
    display: none;
    padding: 10px 0 10px 0;
    background-color: white;
}
button.close-menu {
    padding: 5px;
    border: 1px solid red;
    color: red;
    background-color: transparent;
    position: absolute;
    top: 0;
    right: 0;
}
button.close-menu:hover {
    background-color: red;
    color: white;
}
.nav-link {
    display: block;
    padding: 10px 0;
    text-decoration: none;
    color: black;
}
.nav-link:hover {
    background-color: white;
}


main {
    padding: 20px;
}
main header {
    text-align: center;
}
pre {
    width: 90vw;
    white-space: pre-wrap;
    overflow-x: auto;
}


footer {
    background-color: red;
    text-align: center;
}


@media (min-width: 500px) {
    .container {
        grid-template-columns: auto 1fr;
        grid-template-rows: 1fr auto;
    }
    #main-header {
        height: 100%;
        width: 35vw;
        background-color: green;
        color: white;
    }
    nav {
        height: 100%;
        z-index: 0;
        background-color: transparent;
    }
    #menu-container {
        display: block;
        background-color: transparent;
    }
    .nav-link {
        text-align: left;
        color: white;
    }
    .nav-link:hover {
        color: black;
    }
    button.menu, button.close-menu {
        display: none;
    }
    pre {
        width: 60vw;
    }
    footer {
        grid-area : 2/1/3/3;
    }
}